# $Revision: 1.27 $, $Date: 2012/05/17 18:17:26 $
%define		xfce_version	4.8.0
Summary:	Calendar for Xfce
Summary(pl.UTF-8):	Kalendarz dla Xfce
Name:		orage
Version:	4.8.3
Release:	2
License:	GPL v2+
Group:		X11/Applications
Source0:	http://archive.xfce.org/src/apps/orage/4.8/%{name}-%{version}.tar.bz2
# Source0-md5:	4eca5632cd6ba0274bb804ec3bf51c8a
URL:		http://www.xfce.org/projects/orage
BuildRequires:	dbus-glib-devel
BuildRequires:	gettext-devel
BuildRequires:	glib2-devel >= 1:2.12.4
BuildRequires:	libical-devel >= 0.43
BuildRequires:	libnotify-devel >= 0.3.2
BuildRequires:	libxfce4ui-devel >= %{xfce_version}
BuildRequires:	pkgconfig
BuildRequires:	popt-devel
BuildRequires:	rpmbuild(macros) >= 1.601
BuildRequires:	xfce4-dev-tools >= 4.8.0
BuildRequires:	xfce4-panel-devel >= %{xfce_version}
Requires:	desktop-file-utils
Requires:	gtk-update-icon-cache
Requires:	hicolor-icon-theme >= 0.12-4
Obsoletes:	xfcalendar
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Orage is a time-managing application that is part of the Xfce Desktop
Environment and features a calendar window, lists of events and
reminders. It also provides an easy way to archive and manage your old
appointments.

%description -l pl.UTF-8
Orage to aplikacja do zarządzania czasem będąca częścią środowiska
graficznego Xfce. Zawiera okno kalendarza, listę wydarzeń i
przypominajek. Udostępnia także łatwy sposób archiwizowania i
zarządzania starymi spotkaniami.

%prep
%setup -q

%build
%configure \
	--disable-static

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# duplicate of ur
%{__rm} -r $RPM_BUILD_ROOT%{_datadir}/locale/ur_PK

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_icon_cache hicolor
%update_desktop_database

%postun
%update_icon_cache hicolor

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_bindir}/globaltime
%attr(755,root,root) %{_bindir}/orage
%attr(755,root,root) %{_bindir}/tz_convert
%attr(755,root,root) %{_libdir}/xfce4/panel-plugins/xfce4-orageclock-plugin
%{_datadir}/orage
%{_desktopdir}/globaltime.desktop
%{_desktopdir}/xfcalendar.desktop
%{_desktopdir}/xfce-xfcalendar-settings.desktop
%{_datadir}/dbus-1/services/org.xfce.calendar.service
%{_datadir}/dbus-1/services/org.xfce.orage.service
%{_datadir}/xfce4/panel-plugins/xfce4-orageclock-plugin.desktop
%{_mandir}/man1/globaltime.1*
%{_mandir}/man1/orage.1*
%{_mandir}/man1/tz_convert.1*
%{_iconsdir}/hicolor/*/*/*.png
%{_iconsdir}/hicolor/*/*/*.xpm
%{_iconsdir}/hicolor/scalable/*/*.svg

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: orage.spec,v $
Revision 1.27  2012/05/17 18:17:26  baggins
- release 2

Revision 1.26  2012/01/22 15:59:47  zbyniu
- up to 4.8.3

Revision 1.25  2011/12/20 22:36:01  lisu
- package /usr/share/icons/hicolor/160x160/*.xpm (requires hicolor-icon-theme >= 0.12-4)
- rel 3

Revision 1.24  2011/12/20 10:32:32  glen
- remove unwanted dir, not leave off packaging

Revision 1.23  2011/12/20 09:24:12  lisu
- there is no /usr/share/icons/hicolor/160x160 dir
- rel 2

Revision 1.22  2011/09/28 11:27:48  baggins
- 4.8.2
- merges post scripts

Revision 1.21  2011/09/18 21:38:54  glen
- update-desktop-database (.desktop specifies MimeType)

Revision 1.20  2011/08/19 00:38:21  ankry
- comment

Revision 1.19  2011/04/13 16:13:49  megabajt
- release 2

Revision 1.18  2011/03/03 20:07:45  baggins
- 4.8.1

Revision 1.17  2011/02/16 19:03:53  megabajt
- merged from DEVEL

Revision 1.15.2.2  2011/02/14 17:37:04  megabajt
- updated to 4.8.0

Revision 1.16  2011/02/04 18:23:58  wiget
- Requires(post,postun): gtk-update-icon-cache

Revision 1.15.2.1  2010/11/15 10:21:57  baggins
- 4.7.5

Revision 1.15  2009/04/27 08:04:34  adamg
- updated to 4.6.1

Revision 1.14  2009/03/01 14:03:56  megabajt
- updated to 4.6.0
- removed obsolete -locale-names.patch

Revision 1.13  2008/10/27 23:16:25  blues
- 4.4.3

Revision 1.12  2007/12/08 17:50:18  megabajt
- updated to 4.4.2

Revision 1.11  2007-04-19 12:04:33  megabajt
- missing BR xfce4-panel-devel

Revision 1.10  2007/04/11 19:15:57  rotom
- 4.4.1

Revision 1.9  2007/02/12 22:09:10  glen
- tabs in preamble

Revision 1.8  2007/02/12 01:06:42  baggins
- converted to UTF-8

Revision 1.7  2007/01/22 17:57:04  megabajt
- updated to 4.4.0

Revision 1.6  2006/11/06 17:23:24  megabajt
- up to 4.3.99.2 (Xfce 4.4RC2)
- updated deps

Revision 1.5  2006/09/05 20:02:35  megabajt
- up to 4.3.99.1

Revision 1.4  2006/09/03 22:22:56  qboosh
- R(post,postun): hicolor-icon-theme

Revision 1.3  2006/09/03 20:13:27  megabajt
- updated to 4.3.90.2
- added link patch

Revision 1.2  2006/05/18 20:50:28  qboosh
- pl

Revision 1.1  2006/05/17 07:19:48  charles
- new calendar for Xfce
